# coding=utf8

from __future__ import unicode_literals, absolute_import, print_function

from django.db import models

from talos.services.tag import TagService

from .topic import Problem


class ProblemTag(models.Model):
    class Meta:
        app_label = 'talos'
        db_table = 'api_problemtag'

    problem = models.ForeignKey(Problem)
    tag_id = models.IntegerField()

    def __unicode__(self):
        return "%s:%d" % (self.tag_id, self.problem.id)


class ProblemTagV3(models.Model):
    class Meta:
        db_table = 'api_problem_tag_v3'
        app_label = "talos"

    problem_id = models.IntegerField(verbose_name="帖子id", db_index=True)
    tag_v3_id = models.IntegerField(verbose_name="标签V3", db_index=True)
